/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author:	UpSolution
Theme URI: http://impreza.us-themes.com/
Author URI: http://us-themes.com/
*/

/*Add your own styles here:*/

:root{
	--width-mini:1140px;
}

.l-main b, .l-main strong{font-family:'candara-bold', serif;}

.test{border-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/03/contour.svg') 16 stretch !important; border:transparent 30px solid;}
.test2{border-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/03/contour-plain.svg') 16 stretch !important; border:transparent 30px solid; color:#fff;}
.test2 > .wpb_wrapper{ background-color:#b22224;}



/*.l-header .w-vwrapper.bln-wrapper-menu{border:#000 1px solid;}*/

/*ENTETE*/
.l-header .l-subheader-cell.at_center{align-items:flex-end !important;}
.home .l-header:not(.sticky) .l-subheader.at_middle{height:80px !important; line-height:80px !important;}
.home .l-header .w-image.bln-mainlogo{position:relative; transition:0.3s;}
.home .l-header:not(.sticky) .w-image.bln-mainlogo{ transform:scale(0);}
.w-vwrapper .w-nav.type_desktop.bln-mainmenu.type_desktop{line-height:1.2 !important;}
.l-header .w-vwrapper.bln-wrapper-menu{padding-bottom:0.5rem !important;}
.l-header .w-vwrapper.bln-wrapper-menu > :not(:last-child){margin-bottom:1rem !important; transition:0.3s;}
.l-header.sticky .w-vwrapper.bln-wrapper-menu > :not(:last-child){margin-bottom:0.75rem !important;}
.bln-mainmenu.type_desktop .bln-menu-btnresa{display:none !important;}
/*Mobile*/
.bln-mainmenu.type_mobile .w-nav-list.level_1::before, .bln-mainmenu.type_mobile .w-nav-list.level_1::after{content:''; position:absolute; top:20vh; bottom:20vh; left:2.5rem; right:2.5rem; background-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/04/boullion-logo-rouge.svg'); background-size:contain; background-repeat:no-repeat; display:block; pointer-events:none;}
.bln-mainmenu.type_mobile .w-nav-list.level_1::before{background-position:left center;}
.bln-mainmenu.type_mobile .w-nav-list.level_1::after{background-position:left center !important; transform:rotate(180deg);}

/*APLATS*/
.bln-contour-rouge > .vc_column-inner{border-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/04/bln-fond-blanc-contour-rouge.svg') 16 stretch !important; border:30px solid; border-color:#fff; z-index:1;}
.bln-grid-actu .bln-contour-rouge{border-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/04/bln-contour-blanc-plain-actus.svg') 16 stretch !important; border:30px solid; border-color:#fff; z-index:1;}
.bln-contourplain-rouge > .vc_column-inner{border-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/03/contour-plain.svg') 16 stretch !important; border:transparent 30px solid; color:#fff !important; z-index:1;}
.bln-contour-rouge > .vc_column-inner::before, .bln-grid-actu .bln-contour-rouge::before{content:''; position:absolute; top:-1px; left:0; right:0; bottom:-1px; background-color:#fff; display:block; pointer-events:none; z-index:-1;}
.bln-contourplain-rouge > .vc_column-inner::before{content:''; position:absolute; top:-1px; left:0; right:0; bottom:-1px; background-color:#b22224; display:block; pointer-events:none; z-index:-1;}
.bln-contourplain-rouge h3{color:#fff !important;}

/*BOUTONS*/
.w-btn::after{content:''; position:absolute; top:-3px; right:-4px; bottom:-3px; left:-4px; display:block; pointer-events:none;}
.us-btn-style_1::after{border:var(--color-content-border) 1px solid;}
.us-btn-style_2::after, .us-btn-style_3::after{border:#fff 1px solid;}

/*PAGES*/
.bln-welcomesection .l-section-img{filter:grayscale(1);}
.bln-separator::before{content:''; position:absolute; bottom:-1.5px; left:calc(50% - (75px / 2)); width:75px; height:1px; border-bottom:var(--color-content-border) 3px solid; display:block; pointer-events:none;}
.bln-map .leaflet-tile-container{filter:saturate(0);}
.bln-row-noustrouver{margin-top:-6rem !important;}
.bln-row-noustrouver.g-cols.via_flex.type_default > div > .vc_column-inner{padding-left:0.5rem !important; padding-right:0.5rem !important;}
@media(max-width:900px){
	.l-section.height_medium{padding-top:4rem !important; padding-bottom:4rem !important;}
}
/*Carte*/
.bln-titre-mapmarker{color:var(--color-content-border) !important;}
.bln-btmmap{margin-top:0.5rem !important; padding:0.5em 1.5em; background-color:var(--color-content-primary); border-radius:1em; font-family:'candara-bold', serif; color:#fff !important; display:inline-block; transition:0.3s;}
.bln-btmmap:hover{background-color:#000;}
/*Galerie Photo*/
.bln-bouillon-left::before, .bln-bouillon-right::before{content:''; position:absolute; top:6rem; bottom:6rem; left:0; right:0; background-image:url('https://bouillondekerpont.com/wp-content/uploads/2026/04/boullion-logo-rouge.svg'); background-size:contain; background-repeat:no-repeat; display:block; pointer-events:none;}
.bln-bouillon-left::before{background-position:right center;}
.bln-bouillon-right::before{background-position:right center; transform:rotate(180deg);}

/*FOOTER*/
.bnl-legals ul{margin:0 !important; padding:0 !important; list-style:none !important; display:flex; flex-direction:row; flex-wrap:wrap; justify-content:center; align-items:center;}
.bnl-legals li{position:relative; margin:0 10px 10px !important; font-size:0.8rem !important; line-height:1.2 !important;}
.bnl-legals li::before{content:'-'; position:absolute; left:-12px; top:0; display:block; pointer-events:none;}
.bnl-legals li:first-child::before{content:none !important;}
@media(max-width:900px){
	.bnl-legals ul{flex-direction:column;}
	.bnl-legals li::before{content:none !important;}
}

